<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'islhd',

    /*
     * Package.
     */
    'package'   => 'supplier',

    /*
     * Modules.
     */
    'modules'   => ['supplier', 'contract'],

    'supplier'       => [
        'model' => [
            'model'                 => \Islhd\Supplier\Models\Supplier::class,
            'table'                 => 'suppliers',
            'presenter'             => \Islhd\Supplier\Repositories\Presenter\SupplierPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'email',  'password',  'code',  'status',  'mobile',  'address',  'location',  'certifications',  'description',  'photo',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'supplier/supplier',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Islhd',
            'package'   => 'Supplier',
            'module'    => 'Supplier',
        ],

    ],
    'contract'       => [
        'model' => [
            'model'                 => \Islhd\Supplier\Models\Contract::class,
            'table'                 => 'contracts',
            'presenter'             => \Islhd\Supplier\Repositories\Presenter\ContractPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'site_id',  'supplier_id',  'contract_no',  'contract_name',  'contract_date',  'expiry_date',  'details',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'supplier/contract',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Islhd',
            'package'   => 'Supplier',
            'module'    => 'Contract',
        ],

    ],
];
