<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateContractsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: contracts
         */
        Schema::create('contracts', function ($table) {
            $table->increments('id');
            $table->integer('site_id')->nullable();
            $table->integer('supplier_id')->nullable();
            $table->string('contract_no', 100)->nullable();
            $table->string('contract_name', 255)->nullable();
            $table->date('contract_date')->nullable();
            $table->date('expiry_date')->nullable();
            $table->text('details')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('contracts');
    }
}
