<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSuppliersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: suppliers
         */
        Schema::create('suppliers', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('code', 100)->nullable();
            $table->enum('status', ['New','Active','Suspended','Locked'])->nullable();
            $table->string('mobile', 100)->nullable();
            $table->text('address')->nullable();
            $table->string('location', 100)->nullable();
            $table->text('certifications')->nullable();
            $table->text('description')->nullable();
            $table->string('photo', 500)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('suppliers');
    }
}
