<?php

namespace Islhd\Supplier\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Trans\Traits\Translatable;

class Contract extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, PresentableTrait;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'islhd.supplier.contract.model';


    /**
     * The suppliers that belong to the contract.
     */
    public function suppliers(){
        return $this->belongsTo('Supplier\Contract\Models\Supplier');
    }
}
