<?php

namespace Islhd\Supplier\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContractTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Supplier\Models\Contract $contract)
    {
        return [
            'id'                => $contract->getRouteKey(),
            'key'               => [
                'public'    => $contract->getPublicKey(),
                'route'     => $contract->getRouteKey(),
            ], 
            'site_id'           => $contract->site_id,
            'supplier_id'       => $contract->supplier_id,
            'contract_no'       => $contract->contract_no,
            'contract_name'     => $contract->contract_name,
            'contract_date'     => $contract->contract_date,
            'expiry_date'       => $contract->expiry_date,
            'details'           => $contract->details,
            'user_id'           => $contract->user_id,
            'user_type'         => $contract->user_type,
            'deleted_at'        => $contract->deleted_at,
            'url'               => [
                'public'    => trans_url('supplier/'.$contract->getPublicKey()),
                'user'      => guard_url('supplier/contract/'.$contract->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contract->status),
            'created_at'        => format_date($contract->created_at),
            'updated_at'        => format_date($contract->updated_at),
        ];
    }
}