<?php

namespace Islhd\Supplier\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SupplierTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Supplier\Models\Supplier $supplier)
    {
        return [
            'id'                => $supplier->getRouteKey(),
            'key'               => [
                'public'    => $supplier->getPublicKey(),
                'route'     => $supplier->getRouteKey(),
            ], 
            'name'              => $supplier->name,
            'email'             => $supplier->email,
            'password'          => $supplier->password,
            'code'              => $supplier->code,
            'mobile'            => $supplier->mobile,
            'address'           => $supplier->address,
            'location'          => $supplier->location,
            'certifications'    => $supplier->certifications,
            'description'       => $supplier->description,
            'photo'             => $supplier->photo,
            'deleted_at'        => $supplier->deleted_at,
            'url'               => [
                'public'    => trans_url('supplier/'.$supplier->getPublicKey()),
                'user'      => guard_url('supplier/supplier/'.$supplier->getRouteKey()),
            ], 
            'status'            => trans('app.'.$supplier->status),
            'created_at'        => format_date($supplier->created_at),
            'updated_at'        => format_date($supplier->updated_at),
        ];
    }
}